Get Application Startup Settings
get
/applications/{applicationName}/settings/startup
Returns the startup settings of the specified application.
Request
Path Parameters
-
applicationName(required):
Application name.
Response
200 Response
OK
Startup settings retrieved successfully.
400 Response
Bad Request
Failed to get the startup settings. The application name may be incorrect.
500 Response
Internal Server Error.
Examples
The following example shows how to get startup-related settings of an Essbase application.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample_Dynamic/settings/startup?links=none" -H "Accept:application/json" -H "Content-Type:application/json" -u %User%:%Password%Example of Response Body
{
"startup" : {
"allowUsersToStartApplication" : true,
"startApplicationWhenServerStarts" : true
}
}